Subject: linux-next: manual merge of the devicetree tree with the mfd tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 18 Jul 2025 16:04:07 +1000

Hi all,

Today's linux-next merge of the devicetree tree got a conflict in:

  Documentation/devicetree/bindings/trivial-devices.yaml

between commit:

  e65e2b0d0f7e ("dt-bindings: mfd: adp5585: document adp5589 I/O expander")

from the mfd tree and commits:

  4fb2210866f7 ("dt-bindings: trivial-devices: Add Analog Devices ADT7411")
  828e50188de5 ("dt-bindings: trivial-devices: Add undocumented hwmon devices")

from the devicetree tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc Documentation/devicetree/bindings/trivial-devices.yaml
index dd6297392f72,95c9bd36cc63..000000000000
--- a/Documentation/devicetree/bindings/trivial-devices.yaml
+++ b/Documentation/devicetree/bindings/trivial-devices.yaml
@@@ -39,6 -39,16 +39,14 @@@ properties
            - ad,adm9240
              # AD5110 - Nonvolatile Digital Potentiometer
            - adi,ad5110
+             # Temperature sensor with integrated fan control
+           - adi,adm1027
 -            # Analog Devices ADP5589 Keypad Decoder and I/O Expansion
 -          - adi,adp5589
+             # Analog Devices ADT7411 Temperature Sensor and 8-channel ADC
+           - adi,adt7411
+             # Temperature sensor with integrated fan control
+           - adi,adt7463
+             # Temperature sensor with integrated fan control
+           - adi,adt7468
              # Analog Devices LT7182S Dual Channel 6A, 20V PolyPhase Step-Down Silent Switcher
            - adi,lt7182s
              # AMS iAQ-Core VOC Sensor